Bug 160679 - bookmark editor crashing when drag'n'dropping a bookmark below last item in folder
Summary: bookmark editor crashing when drag'n'dropping a bookmark below last item in f...
Status: RESOLVED FIXED
Alias: None
Product: keditbookmarks
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR crash with 115 votes (vote)
Target Milestone: ---
Assignee: Simon St James
URL:
Keywords:
: 190017 190625 196852 197468 200168 201332 204729 204795 205240 205337 205568 214228 214742 214876 216526 221680 225323 (view as bug list)
Depends on:
Blocks:
 
Reported: 2008-04-11 00:52 UTC by Skander Morgenthaler
Modified: 2010-02-03 01:56 UTC (History)
47 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Patch to fix the crash (835 bytes, patch)
2009-08-28 23:57 UTC, Ben Boeckel
Details
Example (211.12 KB, image/png)
2009-08-29 11:07 UTC, FiNeX
Details
Patch to fix the crash when we can't determine the parent in a dropMimeType (908 bytes, patch)
2009-08-29 13:08 UTC, Simon St James
Details
Another attempt at fixing misbehaviour (5.14 KB, patch)
2009-09-12 15:04 UTC, Simon St James
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Skander Morgenthaler 2008-04-11 00:52:36 UTC
Version:            (using Devel)
Installed from:    Compiled sources
Compiler:          gcc (GCC) 4.2.3 (Gentoo 4.2.3 p1.0) 
OS:                Linux

When editing bookmarks, dragging a bookmark to the position below the last bookmark in a folder and releasing there will result in a crash of the bookmark editor. Installed Version is 4.0.3+ (4.0 branch, rev. 795499), using qt 4.3.4-r1 (gentoo)

Steps to reproduce:
1. open bookmark editor
2. drag a bookmark to the last position in a folder (below the last bookmark of that folder, does not work with an empty folder)
3. release dragged bookmark
4. bookmark editor crashes

Unfortunately I do not get useful backtraces for kde 4.0.x applications anymore, will have to investigate why and report back with a useful backtrace.
Comment 1 missive 2008-07-24 03:15:47 UTC
I am seeing this also, though I did not realize that the bookmark editor
was actually crashing.

I am using a recently-compiled KDE (Version 4.1.60 (KDE 4.1.60 (KDE 4.2 >= 20080709)))

Seems like it is impossible to move a bookmark to the end of the list,
since even using cutting and pasting does not work.

Cut the bookmark that you want to move to the end of the list, then
right-click past the end of the list and choose paste. The pasted bookmark
will be inserted at the top of the list instead of at the bottom.

A workaround is to right-click on the last item in the list to paste.
The item will be pasted above the last item. Then cut and paste the last
item the same way and the one you wanted to be at the end will be there.
Comment 2 Skander Morgenthaler 2009-01-15 12:18:16 UTC
The crash seems to be fixed, or rather worked around in 4.1.96. While the bookmark editor does not crash anymore, it is now impossible to drag a bookmark to the last position in a bookmark folder. Instead of being inserted below the last item it is now always insertet above.
Comment 3 Ivaylo Kabakov 2009-02-07 17:03:58 UTC
Hi all!

I also stumbled upon this bug. Installed the packages from the Fedora updates-testing repository.

Here's my system:
KDE Version  4.2.00 (KDE 4.2.0) (KDE 4.2.00 (KDE 4.2.0), 4.2.0-9.fc10 Fedora)
Operating System  Linux (x86_64) release 2.6.27.12-170.2.5.fc10.x86_64

Here's the stack trace:

Application: Bookmark Editor (keditbookmarks), signal SIGSEGV
0x00000035090a7f50 in __nanosleep_nocancel () from /lib64/libc.so.6
[Current thread is 1 (Thread 0x7f518bef9800 (LWP 7184))]

Thread 1 (Thread 0x7f518bef9800 (LWP 7184)):
[KCrash Handler]
#5  0x00000035ba8101c0 in QDomNode::QDomNode () from /usr/lib64/libQtXml.so.4
#6  0x0000003726e3e2dd in KBookmark () at /usr/include/kde4/kbookmark.h:34
#7  TreeItem::bookmark (this=<value optimized out>) at /usr/src/debug/kdebase-4.2.0/apps/keditbookmarks/treeitem.cpp:88
#8  0x0000003726e3be1f in KBookmarkModel::bookmarkForIndex (index=<value optimized out>, this=<value optimized out>) at /usr/src/debug/kdebase-4.2.0/apps/keditbookmarks/bookmarkmodel.cpp:342
#9  KBookmarkModel::dropMimeData (this=0x15d1f50, data=0x1ae8650, action=Qt::CopyAction, row=<value optimized out>, column=-1, parent=@0x7fff93f3f800)
    at /usr/src/debug/kdebase-4.2.0/apps/keditbookmarks/bookmarkmodel.cpp:298
#10 0x0000003726e3cf11 in BookmarkFolderViewFilterModel::dropMimeData (this=0x172e320, data=0x1ae8650, action=Qt::CopyAction, row=<value optimized out>, column=<value optimized out>, 
    parent=<value optimized out>) at /usr/src/debug/kdebase-4.2.0/apps/keditbookmarks/bookmarklistview.cpp:184
#11 0x0000003292feeb2d in QAbstractItemView::dropEvent () from /usr/lib64/libQtGui.so.4
#12 0x0000003292bd4953 in QWidget::event () from /usr/lib64/libQtGui.so.4
#13 0x0000003292ff91fd in QAbstractItemView::viewportEvent () from /usr/lib64/libQtGui.so.4
#14 0x000000329302de30 in QTreeView::viewportEvent () from /usr/lib64/libQtGui.so.4
#15 0x00000035b8f41668 in QCoreApplicationPrivate::sendThroughObjectEventFilters () from /usr/lib64/libQtCore.so.4
#16 0x0000003292b828ac in QApplicationPrivate::notify_helper () from /usr/lib64/libQtGui.so.4
#17 0x0000003292b8ab9f in QApplication::notify () from /usr/lib64/libQtGui.so.4
#18 0x0000003724c04deb in KApplication::notify (this=0x7fff93f43a00, receiver=0x151a300, event=0x7fff93f403f0) at /usr/src/debug/kdelibs-4.2.0/kdeui/kernel/kapplication.cpp:307
#19 0x00000035b8f42391 in QCoreApplication::notifyInternal () from /usr/lib64/libQtCore.so.4
#20 0x0000003292bfa1e5 in ?? () from /usr/lib64/libQtGui.so.4
#21 0x0000003292bfea77 in QDragManager::drop () from /usr/lib64/libQtGui.so.4
#22 0x0000003292bfec0c in QDragManager::eventFilter () from /usr/lib64/libQtGui.so.4
#23 0x00000035b8f41714 in QCoreApplicationPrivate::sendThroughApplicationEventFilters () from /usr/lib64/libQtCore.so.4
#24 0x0000003292b82846 in QApplicationPrivate::notify_helper () from /usr/lib64/libQtGui.so.4
#25 0x0000003292b8aefa in QApplication::notify () from /usr/lib64/libQtGui.so.4
#26 0x0000003724c04deb in KApplication::notify (this=0x7fff93f43a00, receiver=0x178d5c0, event=0x7fff93f40c30) at /usr/src/debug/kdelibs-4.2.0/kdeui/kernel/kapplication.cpp:307
#27 0x00000035b8f42391 in QCoreApplication::notifyInternal () from /usr/lib64/libQtCore.so.4
#28 0x0000003292b8a298 in QApplicationPrivate::sendMouseEvent () from /usr/lib64/libQtGui.so.4
#29 0x0000003292bee919 in ?? () from /usr/lib64/libQtGui.so.4
#30 0x0000003292bed337 in QApplication::x11ProcessEvent () from /usr/lib64/libQtGui.so.4
#31 0x0000003292c13ae4 in ?? () from /usr/lib64/libQtGui.so.4
#32 0x00000035b863779b in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#33 0x00000035b863af6d in ?? () from /lib64/libglib-2.0.so.0
#34 0x00000035b863b12b in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#35 0x00000035b8f6a79f in QEventDispatcherGlib::processEvents () from /usr/lib64/libQtCore.so.4
#36 0x0000003292c1328f in ?? () from /usr/lib64/libQtGui.so.4
#37 0x00000035b8f40cb2 in QEventLoop::processEvents () from /usr/lib64/libQtCore.so.4
#38 0x00000035b8f40e3d in QEventLoop::exec () from /usr/lib64/libQtCore.so.4
#39 0x0000003292bfcddb in QDragManager::drag () from /usr/lib64/libQtGui.so.4
#40 0x0000003292b95078 in QDrag::exec () from /usr/lib64/libQtGui.so.4
#41 0x0000003292ff61f2 in QAbstractItemView::startDrag () from /usr/lib64/libQtGui.so.4
#42 0x0000003292ff49d5 in QAbstractItemView::mouseMoveEvent () from /usr/lib64/libQtGui.so.4
#43 0x0000003292bd4e46 in QWidget::event () from /usr/lib64/libQtGui.so.4
#44 0x0000003292ff91fd in QAbstractItemView::viewportEvent () from /usr/lib64/libQtGui.so.4
#45 0x000000329302de30 in QTreeView::viewportEvent () from /usr/lib64/libQtGui.so.4
#46 0x00000035b8f41668 in QCoreApplicationPrivate::sendThroughObjectEventFilters () from /usr/lib64/libQtCore.so.4
#47 0x0000003292b828ac in QApplicationPrivate::notify_helper () from /usr/lib64/libQtGui.so.4
#48 0x0000003292b8aefa in QApplication::notify () from /usr/lib64/libQtGui.so.4
#49 0x0000003724c04deb in KApplication::notify (this=0x7fff93f43a00, receiver=0x15d27e0, event=0x7fff93f42a20) at /usr/src/debug/kdelibs-4.2.0/kdeui/kernel/kapplication.cpp:307
#50 0x00000035b8f42391 in QCoreApplication::notifyInternal () from /usr/lib64/libQtCore.so.4
#51 0x0000003292b8a298 in QApplicationPrivate::sendMouseEvent () from /usr/lib64/libQtGui.so.4
#52 0x0000003292bee919 in ?? () from /usr/lib64/libQtGui.so.4
#53 0x0000003292bed337 in QApplication::x11ProcessEvent () from /usr/lib64/libQtGui.so.4
#54 0x0000003292c13ae4 in ?? () from /usr/lib64/libQtGui.so.4
#55 0x00000035b863779b in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#56 0x00000035b863af6d in ?? () from /lib64/libglib-2.0.so.0
#57 0x00000035b863b12b in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#58 0x00000035b8f6a79f in QEventDispatcherGlib::processEvents () from /usr/lib64/libQtCore.so.4
#59 0x0000003292c1328f in ?? () from /usr/lib64/libQtGui.so.4
#60 0x00000035b8f40cb2 in QEventLoop::processEvents () from /usr/lib64/libQtCore.so.4
#61 0x00000035b8f40e3d in QEventLoop::exec () from /usr/lib64/libQtCore.so.4
#62 0x00000035b8f432ed in QCoreApplication::exec () from /usr/lib64/libQtCore.so.4
#63 0x0000003726e1d600 in kdemain (argc=6, argv=0x7fff93f44538) at /usr/src/debug/kdebase-4.2.0/apps/keditbookmarks/main.cpp:203
#64 0x000000350901e576 in __libc_start_main () from /lib64/libc.so.6
#65 0x00000000004006f9 in _start ()

Cheers!
Comment 4 George 2009-03-12 16:08:05 UTC
one more: 
Application: Konqueror (konqueror), signal SIGABRT
0x00007f4cda64f901 in nanosleep () from /lib/libc.so.6

Thread 1 (Thread 0x7f4cdf778750 (LWP 30523)):
[KCrash Handler]
#5  0x00007f4cda5e21e5 in raise () from /lib/libc.so.6
#6  0x00007f4cda5e3703 in abort () from /lib/libc.so.6
#7  0x00007f4cda5db229 in __assert_fail () from /lib/libc.so.6
#8  0x00007f4cd220401b in KHTMLGlobal::finalCheck () at /var/tmp/portage/kde-base/kdelibs-4.2.1/work/kdelibs-4.2.1/khtml/khtml_global.cpp:258
#9  0x00007f4ccd4ff82a in ~KHTMLFactory (this=0x9a5220) at /var/tmp/portage/kde-base/kdelibs-4.2.1/work/kdelibs-4.2.1/khtml/khtml_factory.cpp:35
#10 0x00007f4cdd63a0c1 in qDeleteAll<QHash<QString, QPointer<KPluginFactory> >::const_iterator> (begin={i = 0x152fb70}, end={i = 0x152d590}) at /usr/include/qt4/QtCore/qalgorithms.h:352
#11 0x00007f4cdd63a2e9 in ~FactoryHash (this=0x773b) at /var/tmp/portage/kde-base/kdelibs-4.2.1/work/kdelibs-4.2.1/kdecore/util/klibrary.cpp:93
#12 0x00007f4cdd639432 in destroy () at /var/tmp/portage/kde-base/kdelibs-4.2.1/work/kdelibs-4.2.1/kdecore/util/klibrary.cpp:97
#13 0x00007f4cda5e4d8d in exit () from /lib/libc.so.6
#14 0x00007f4cda5ce5cd in __libc_start_main () from /lib/libc.so.6
#15 0x00000000004008e9 in _start ()
Comment 5 George 2009-03-12 16:17:28 UTC
oops that comment was wrong 

Application: Bookmark Editor (keditbookmarks), signal SIGSEGV
0x00007fe7377868d0 in nanosleep () from /lib/libc.so.6

Thread 1 (Thread 0x7fe73b9e5750 (LWP 11974)):
[KCrash Handler]
#5  0x00007fe73a0dd4a0 in QDomNode::QDomNode () from /usr/lib64/qt4/libQtXml.so.4
#6  0x00007fe73b6f7f9d in TreeItem::bookmark (this=<value optimized out>) at /var/tmp/portage/kde-base/keditbookmarks-4.2.1/work/keditbookmarks-4.2.1/apps/keditbookmarks/treeitem.cpp:88
#7  0x00007fe73b6f5067 in KBookmarkModel::bookmarkForIndex (this=<value optimized out>, index=<value optimized out>)
    at /var/tmp/portage/kde-base/keditbookmarks-4.2.1/work/keditbookmarks-4.2.1/apps/keditbookmarks/bookmarkmodel.cpp:342
#8  0x00007fe73b6f50f7 in KBookmarkModel::dropMimeData (this=0x20ad3e0, data=0x206e320, action=Qt::CopyAction, row=-1, column=-1, parent=@0x7fff43b256d0)
    at /var/tmp/portage/kde-base/keditbookmarks-4.2.1/work/keditbookmarks-4.2.1/apps/keditbookmarks/bookmarkmodel.cpp:298
#9  0x00007fe73b6f7051 in BookmarkFolderViewFilterModel::dropMimeData (this=0x212ba30, data=0x206e320, action=Qt::CopyAction, row=1, column=0, parent=@0x7fff43b257b0)
    at /var/tmp/portage/kde-base/keditbookmarks-4.2.1/work/keditbookmarks-4.2.1/apps/keditbookmarks/bookmarklistview.cpp:184
#10 0x00007fe73875dfe7 in QAbstractItemView::dropEvent () from /usr/lib64/qt4/libQtGui.so.4
#11 0x00007fe7383b2ba8 in QWidget::event () from /usr/lib64/qt4/libQtGui.so.4
#12 0x00007fe73876552d in QAbstractItemView::viewportEvent () from /usr/lib64/qt4/libQtGui.so.4
#13 0x00007fe738796b1d in QTreeView::viewportEvent () from /usr/lib64/qt4/libQtGui.so.4
#14 0x00007fe738f2cf07 in QCoreApplicationPrivate::sendThroughObjectEventFilters () from /usr/lib64/qt4/libQtCore.so.4
#15 0x00007fe738366d1c in QApplicationPrivate::notify_helper () from /usr/lib64/qt4/libQtGui.so.4
#16 0x00007fe73836d4af in QApplication::notify () from /usr/lib64/qt4/libQtGui.so.4
#17 0x00007fe739cd9a31 in KApplication::notify (this=0x7fff43b29860, receiver=0x1f54900, event=0x7fff43b26370)
    at /var/tmp/portage/kde-base/kdelibs-4.2.1/work/kdelibs-4.2.1/kdeui/kernel/kapplication.cpp:307
#18 0x00007fe738f2dbdb in QCoreApplication::notifyInternal () from /usr/lib64/qt4/libQtCore.so.4
#19 0x00007fe7383d02d1 in QX11Data::xdndHandleDrop () from /usr/lib64/qt4/libQtGui.so.4
#20 0x00007fe7383d1907 in QDragManager::drop () from /usr/lib64/qt4/libQtGui.so.4
#21 0x00007fe7383d1a9c in QDragManager::eventFilter () from /usr/lib64/qt4/libQtGui.so.4
#22 0x00007fe738f2cfab in QCoreApplicationPrivate::sendThroughApplicationEventFilters () from /usr/lib64/qt4/libQtCore.so.4
#23 0x00007fe738366cb6 in QApplicationPrivate::notify_helper () from /usr/lib64/qt4/libQtGui.so.4
#24 0x00007fe73836d7fe in QApplication::notify () from /usr/lib64/qt4/libQtGui.so.4
#25 0x00007fe739cd9a31 in KApplication::notify (this=0x7fff43b29860, receiver=0x2637cf0, event=0x7fff43b26d30)
    at /var/tmp/portage/kde-base/kdelibs-4.2.1/work/kdelibs-4.2.1/kdeui/kernel/kapplication.cpp:307
#26 0x00007fe738f2dbdb in QCoreApplication::notifyInternal () from /usr/lib64/qt4/libQtCore.so.4
#27 0x00007fe73836eb68 in QApplicationPrivate::sendMouseEvent () from /usr/lib64/qt4/libQtGui.so.4
#28 0x00007fe7383c3acc in QETWidget::translateMouseEvent () from /usr/lib64/qt4/libQtGui.so.4
#29 0x00007fe7383c2753 in QApplication::x11ProcessEvent () from /usr/lib64/qt4/libQtGui.so.4
#30 0x00007fe7383e5104 in x11EventSourceDispatch () from /usr/lib64/qt4/libQtGui.so.4
#31 0x00007fe734caac9e in ?? () from /usr/lib/libglib-2.0.so.0
#32 0x00007fe734cac9e5 in ?? () from /usr/lib/libglib-2.0.so.0
#33 0x00007fe734cacbbb in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#34 0x00007fe738f5188f in QEventDispatcherGlib::processEvents () from /usr/lib64/qt4/libQtCore.so.4
#35 0x00007fe7383e49cf in QGuiEventDispatcherGlib::processEvents () from /usr/lib64/qt4/libQtGui.so.4
#36 0x00007fe738f2c5a2 in QEventLoop::processEvents () from /usr/lib64/qt4/libQtCore.so.4
#37 0x00007fe738f2c735 in QEventLoop::exec () from /usr/lib64/qt4/libQtCore.so.4
#38 0x00007fe7383cef83 in QDragManager::drag () from /usr/lib64/qt4/libQtGui.so.4
#39 0x00007fe738377508 in QDrag::exec () from /usr/lib64/qt4/libQtGui.so.4
#40 0x00007fe738762d94 in QAbstractItemView::startDrag () from /usr/lib64/qt4/libQtGui.so.4
#41 0x00007fe73876421c in QAbstractItemView::mouseMoveEvent () from /usr/lib64/qt4/libQtGui.so.4
#42 0x00007fe7383b31f0 in QWidget::event () from /usr/lib64/qt4/libQtGui.so.4
#43 0x00007fe73876552d in QAbstractItemView::viewportEvent () from /usr/lib64/qt4/libQtGui.so.4
#44 0x00007fe738796b1d in QTreeView::viewportEvent () from /usr/lib64/qt4/libQtGui.so.4
#45 0x00007fe738f2cf07 in QCoreApplicationPrivate::sendThroughObjectEventFilters () from /usr/lib64/qt4/libQtCore.so.4
#46 0x00007fe738366d1c in QApplicationPrivate::notify_helper () from /usr/lib64/qt4/libQtGui.so.4
#47 0x00007fe73836d7fe in QApplication::notify () from /usr/lib64/qt4/libQtGui.so.4
#48 0x00007fe739cd9a31 in KApplication::notify (this=0x7fff43b29860, receiver=0x20b7200, event=0x7fff43b28b50)
    at /var/tmp/portage/kde-base/kdelibs-4.2.1/work/kdelibs-4.2.1/kdeui/kernel/kapplication.cpp:307
#49 0x00007fe738f2dbdb in QCoreApplication::notifyInternal () from /usr/lib64/qt4/libQtCore.so.4
#50 0x00007fe73836eb68 in QApplicationPrivate::sendMouseEvent () from /usr/lib64/qt4/libQtGui.so.4
#51 0x00007fe7383c3acc in QETWidget::translateMouseEvent () from /usr/lib64/qt4/libQtGui.so.4
#52 0x00007fe7383c2753 in QApplication::x11ProcessEvent () from /usr/lib64/qt4/libQtGui.so.4
#53 0x00007fe7383e5104 in x11EventSourceDispatch () from /usr/lib64/qt4/libQtGui.so.4
#54 0x00007fe734caac9e in ?? () from /usr/lib/libglib-2.0.so.0
#55 0x00007fe734cac9e5 in ?? () from /usr/lib/libglib-2.0.so.0
#56 0x00007fe734cacbbb in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#57 0x00007fe738f5188f in QEventDispatcherGlib::processEvents () from /usr/lib64/qt4/libQtCore.so.4
#58 0x00007fe7383e49cf in QGuiEventDispatcherGlib::processEvents () from /usr/lib64/qt4/libQtGui.so.4
#59 0x00007fe738f2c5a2 in QEventLoop::processEvents () from /usr/lib64/qt4/libQtCore.so.4
#60 0x00007fe738f2c735 in QEventLoop::exec () from /usr/lib64/qt4/libQtCore.so.4
#61 0x00007fe738f2e7cd in QCoreApplication::exec () from /usr/lib64/qt4/libQtCore.so.4
#62 0x00007fe73b6dbaca in kdemain (argc=1, argv=0x7fff43b2a078) at /var/tmp/portage/kde-base/keditbookmarks-4.2.1/work/keditbookmarks-4.2.1/apps/keditbookmarks/main.cpp:203
#63 0x00007fe7377055c6 in __libc_start_main () from /lib/libc.so.6
#64 0x0000000000400899 in _start ()
Comment 6 Michael Reiher 2009-04-02 19:32:21 UTC
Same here crashes on drag'n'drop as well as copy'n'paste. Interestingly sometimes it works without crashing. In most cases it crashes though. Keditbookmarks is basically unusable!

Kubuntu Jaunty, with KDE 4.2.2

#0  0xb76d0450 in QDomElementPrivate::save (this=0x93816f8, s=@0xbfd4c070, depth=7, indent=1) at dom/qdom.cpp:4603
#1  0xb76c3892 in QDomNodePrivate::save (this=0x93818a0, s=@0xbfd4c070, depth=7, indent=1) at dom/qdom.cpp:1916
#2  0xb76d0077 in QDomElementPrivate::save (this=0x93818a0, s=@0xbfd4c070, depth=6, indent=1) at dom/qdom.cpp:4640
#3  0xb76c3892 in QDomNodePrivate::save (this=0x9381370, s=@0xbfd4c070, depth=6, indent=1) at dom/qdom.cpp:1916
#4  0xb76d0077 in QDomElementPrivate::save (this=0x9381370, s=@0xbfd4c070, depth=5, indent=1) at dom/qdom.cpp:4640
#5  0xb76c3892 in QDomNodePrivate::save (this=0x929db40, s=@0xbfd4c070, depth=5, indent=1) at dom/qdom.cpp:1916
#6  0xb76d0077 in QDomElementPrivate::save (this=0x929db40, s=@0xbfd4c070, depth=4, indent=1) at dom/qdom.cpp:4640
#7  0xb76c3892 in QDomNodePrivate::save (this=0x936bd80, s=@0xbfd4c070, depth=4, indent=1) at dom/qdom.cpp:1916
#8  0xb76d0077 in QDomElementPrivate::save (this=0x936bd80, s=@0xbfd4c070, depth=3, indent=1) at dom/qdom.cpp:4640
#9  0xb76c3892 in QDomNodePrivate::save (this=0x91816d0, s=@0xbfd4c070, depth=3, indent=1) at dom/qdom.cpp:1916
#10 0xb76d0077 in QDomElementPrivate::save (this=0x91816d0, s=@0xbfd4c070, depth=2, indent=1) at dom/qdom.cpp:4640
#11 0xb76c3892 in QDomNodePrivate::save (this=0x9180f48, s=@0xbfd4c070, depth=2, indent=1) at dom/qdom.cpp:1916
#12 0xb76d0077 in QDomElementPrivate::save (this=0x9180f48, s=@0xbfd4c070, depth=1, indent=1) at dom/qdom.cpp:4640
#13 0xb76c3892 in QDomNodePrivate::save (this=0x9180b90, s=@0xbfd4c070, depth=1, indent=1) at dom/qdom.cpp:1916
#14 0xb76d0077 in QDomElementPrivate::save (this=0x9180b90, s=@0xbfd4c070, depth=0, indent=1) at dom/qdom.cpp:4640
#15 0xb76d4ac6 in QDomDocumentPrivate::saveDocument (this=0x911b078, s=@0xbfd4c070, indent=1, encUsed=QDomNode::EncodingFromDocument) at dom/qdom.cpp:6473
#16 0xb76d5163 in QDomNode::save (this=0xbfd4c130, str=@0xbfd4c070, indent=1) at dom/qdom.cpp:2684
#17 0xb76d51ce in QDomDocument::toString (this=0xbfd4c130, indent=1) at dom/qdom.cpp:6845
#18 0xb79b058c in KBookmarkManager::saveAs (this=0x9120638, filename=@0x917a098, toolbarCache=true)
    at /build/buildd/kde4libs-4.2.2/kio/bookmarks/kbookmarkmanager.cc:402
#19 0xb79b0aaf in KBookmarkManager::save (this=0x9120638, toolbarCache=<value optimized out>)
    at /build/buildd/kde4libs-4.2.2/kio/bookmarks/kbookmarkmanager.cc:368
#20 0xb79b0af0 in KBookmarkManager::emitChanged (this=0x9120638, group=@0xbfd4c210) at /build/buildd/kde4libs-4.2.2/kio/bookmarks/kbookmarkmanager.cc:516
#21 0xb7ee7fdb in CurrentMgr::notifyManagers (this=0x9134778, grp=@0xbfd4c210) at /build/buildd/kdebase-4.2.2/apps/keditbookmarks/toplevel.cpp:183
#22 0xb7eeb6a1 in CmdHistory::slotCommandExecuted (this=0x911b248, k=0x93617f8) at /build/buildd/kdebase-4.2.2/apps/keditbookmarks/toplevel.cpp:82
#23 0xb7f0b0c0 in KBookmarkModel::dropMimeData (this=0x91834a8, data=0x9133a60, action=Qt::CopyAction, row=-1, column=-1, parent=@0xbfd4c344)
    at /build/buildd/kdebase-4.2.2/apps/keditbookmarks/bookmarkmodel.cpp:306
#24 0xb6ade4e1 in QAbstractItemView::dropEvent (this=0x91921a8, event=0xbfd4cb1c) at itemviews/qabstractitemview.cpp:1844
#25 0xb65be7b1 in QWidget::event (this=0x91921a8, event=0xbfd4cb1c) at kernel/qwidget.cpp:7698
#26 0xb6998d83 in QFrame::event (this=0x91921a8, e=0xbfd4cb1c) at widgets/qframe.cpp:559
#27 0xb6a38d3f in QAbstractScrollArea::viewportEvent (this=0x91921a8, e=0xb7055a48) at widgets/qabstractscrollarea.cpp:962
#28 0xb6aeaa37 in QAbstractItemView::viewportEvent (this=0x91921a8, event=0xbfd4cb1c) at itemviews/qabstractitemview.cpp:1466
#29 0xb6b254b4 in QTreeView::viewportEvent (this=0x91921a8, event=0xbfd4cb1c) at itemviews/qtreeview.cpp:1257
#30 0xb6a3b345 in QAbstractScrollAreaFilter::eventFilter (this=0x920c890, o=0x91926b8, e=0xbfd4cb1c) at widgets/qabstractscrollarea_p.h:100
#31 0xb6f5fc5a in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=0x9081db0, receiver=0x91926b8, event=0xbfd4cb1c)
#32 0xb6567f0a in QApplicationPrivate::notify_helper (this=0x9081db0, receiver=0x91926b8, e=0xbfd4cb1c) at kernel/qapplication.cpp:4080
#33 0xb6570841 in QApplication::notify (this=0xbfd4ef2c, receiver=0x91926b8, e=0xbfd4cb1c) at kernel/qapplication.cpp:4037
#34 0xb750494d in KApplication::notify (this=0xbfd4ef2c, receiver=0x91926b8, event=0xbfd4cb1c)
    at /build/buildd/kde4libs-4.2.2/kdeui/kernel/kapplication.cpp:307
#35 0xb6f60a3b in QCoreApplication::notifyInternal (this=0xbfd4ef2c, receiver=0x91926b8, event=0xbfd4cb1c) at kernel/qcoreapplication.cpp:602
#36 0xb65ed5ad in QX11Data::xdndHandleDrop (this=0x9085c20, xe=0xbfd4cc18, passive=false)
    at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:213
#37 0xb65f2233 in QDragManager::drop (this=0x9328fd8) at kernel/qdnd_x11.cpp:1692
#38 0xb65f23f6 in QDragManager::eventFilter (this=0x9328fd8, o=0x90feda0, e=0xbfd4d0b8) at kernel/qdnd_x11.cpp:1292
#39 0xb6f5fd1c in QCoreApplicationPrivate::sendThroughApplicationEventFilters (this=0x9081db0, receiver=0x90feda0, event=0xbfd4d0b8)
    at kernel/qcoreapplication.cpp:699
#40 0xb6567ea3 in QApplicationPrivate::notify_helper (this=0x9081db0, receiver=0x90feda0, e=0xbfd4d0b8) at kernel/qapplication.cpp:4059
#41 0xb6570ba1 in QApplication::notify (this=0xbfd4ef2c, receiver=0x90feda0, e=0xbfd4d0b8) at kernel/qapplication.cpp:3786
#42 0xb750494d in KApplication::notify (this=0xbfd4ef2c, receiver=0x90feda0, event=0xbfd4d0b8)
    at /build/buildd/kde4libs-4.2.2/kdeui/kernel/kapplication.cpp:307
#43 0xb6f60a3b in QCoreApplication::notifyInternal (this=0xbfd4ef2c, receiver=0x90feda0, event=0xbfd4d0b8) at kernel/qcoreapplication.cpp:602
#44 0xb656fc0e in QApplicationPrivate::sendMouseEvent (receiver=0x90feda0, event=0xbfd4d0b8, alienWidget=0x0, nativeWidget=0x90feda0, buttonDown=0xb6e13200,
    lastMouseReceiver=@0xb6e13204) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:216
#45 0xb65dfa0e in QETWidget::translateMouseEvent (this=0x90feda0, event=0xbfd4d6fc) at kernel/qapplication_x11.cpp:4425
#46 0xb65ded37 in QApplication::x11ProcessEvent (this=0xbfd4ef2c, event=0xbfd4d6fc) at kernel/qapplication_x11.cpp:3421
#47 0xb6609cfa in x11EventSourceDispatch (s=0x9084c68, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#48 0xb5d6ca58 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#49 0xb5d6ffbb in ?? () from /usr/lib/libglib-2.0.so.0
#50 0xb5d70138 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#51 0xb6f8c438 in QEventDispatcherGlib::processEvents (this=0x906ed60, flags={i = -1076569928}) at kernel/qeventdispatcher_glib.cpp:323
#52 0xb66093f5 in QGuiEventDispatcherGlib::processEvents (this=0x906ed60, flags={i = -1076569880}) at kernel/qguieventdispatcher_glib.cpp:202
#53 0xb6f5f06a in QEventLoop::processEvents (this=0x9361048, flags={i = -1076569816}) at kernel/qeventloop.cpp:149
#54 0xb6f5f4aa in QEventLoop::exec (this=0x9361048, flags={i = -1076569704}) at kernel/qeventloop.cpp:200
#55 0xb65f03a0 in QDragManager::drag (this=0x9328fd8, o=0x9328260) at kernel/qdnd_x11.cpp:1952
#56 0xb657b5ca in QDrag::exec (this=0x9328260, supportedActions={i = -1076569452}, defaultDropAction=Qt::CopyAction) at kernel/qdrag.cpp:282
#57 0xb6ae8f8c in QAbstractItemView::startDrag (this=0x91921a8, supportedActions={i = -1076569196}) at itemviews/qabstractitemview.cpp:3189
#58 0xb6ae5f4d in QAbstractItemView::mouseMoveEvent (this=0x91921a8, event=0xbfd4e438) at itemviews/qabstractitemview.cpp:1547
#59 0xb6b25274 in QTreeView::mouseMoveEvent (this=0x91921a8, event=0xbfd4e438) at itemviews/qtreeview.cpp:1863
#60 0xb65bea3d in QWidget::event (this=0x91921a8, event=0xbfd4e438) at kernel/qwidget.cpp:7501
#61 0xb6998d83 in QFrame::event (this=0x91921a8, e=0xbfd4e438) at widgets/qframe.cpp:559
#62 0xb6a38d3f in QAbstractScrollArea::viewportEvent (this=0x91921a8, e=0xb7055a48) at widgets/qabstractscrollarea.cpp:962
#63 0xb6aeaa37 in QAbstractItemView::viewportEvent (this=0x91921a8, event=0xbfd4e438) at itemviews/qabstractitemview.cpp:1466
#64 0xb6b254b4 in QTreeView::viewportEvent (this=0x91921a8, event=0xbfd4e438) at itemviews/qtreeview.cpp:1257
#65 0xb6a3b345 in QAbstractScrollAreaFilter::eventFilter (this=0x920c890, o=0x91926b8, e=0xbfd4e438) at widgets/qabstractscrollarea_p.h:100
#66 0xb6f5fc5a in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=0x9081db0, receiver=0x91926b8, event=0xbfd4e438)
    at kernel/qcoreapplication.cpp:718
#67 0xb6567f0a in QApplicationPrivate::notify_helper (this=0x9081db0, receiver=0x91926b8, e=0xbfd4e438) at kernel/qapplication.cpp:4080
#68 0xb6570ba1 in QApplication::notify (this=0xbfd4ef2c, receiver=0x91926b8, e=0xbfd4e438) at kernel/qapplication.cpp:3786
#69 0xb750494d in KApplication::notify (this=0xbfd4ef2c, receiver=0x91926b8, event=0xbfd4e438)
    at /build/buildd/kde4libs-4.2.2/kdeui/kernel/kapplication.cpp:307
#70 0xb6f60a3b in QCoreApplication::notifyInternal (this=0xbfd4ef2c, receiver=0x91926b8, event=0xbfd4e438) at kernel/qcoreapplication.cpp:602
#71 0xb656fc0e in QApplicationPrivate::sendMouseEvent (receiver=0x91926b8, event=0xbfd4e438, alienWidget=0x91926b8, nativeWidget=0x911f530,
    buttonDown=0xb6e13200, lastMouseReceiver=@0xb6e13204) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:216
#72 0xb65dfa0e in QETWidget::translateMouseEvent (this=0x911f530, event=0xbfd4ea7c) at kernel/qapplication_x11.cpp:4425
#73 0xb65ded37 in QApplication::x11ProcessEvent (this=0xbfd4ef2c, event=0xbfd4ea7c) at kernel/qapplication_x11.cpp:3421
#74 0xb6609cfa in x11EventSourceDispatch (s=0x9084c68, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#75 0xb5d6ca58 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#76 0xb5d6ffbb in ?? () from /usr/lib/libglib-2.0.so.0
#77 0xb5d70138 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#78 0xb6f8c438 in QEventDispatcherGlib::processEvents (this=0x906ed60, flags={i = -1076564936}) at kernel/qeventdispatcher_glib.cpp:323
#79 0xb66093f5 in QGuiEventDispatcherGlib::processEvents (this=0x906ed60, flags={i = -1076564888}) at kernel/qguieventdispatcher_glib.cpp:202
#80 0xb6f5f06a in QEventLoop::processEvents (this=0xbfd4ece0, flags={i = -1076564824}) at kernel/qeventloop.cpp:149
#81 0xb6f5f4aa in QEventLoop::exec (this=0xbfd4ece0, flags={i = -1076564760}) at kernel/qeventloop.cpp:200
#82 0xb6f61959 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:880
#83 0xb6567da7 in QApplication::exec () at kernel/qapplication.cpp:3553
#84 0xb7ee7109 in kdemain (argc=1, argv=0xbfd4f284) at /build/buildd/kdebase-4.2.2/apps/keditbookmarks/main.cpp:203
#85 0x080486a2 in main (argc=1, argv=0x937ed78) at /build/buildd/kdebase-4.2.2/obj-i486-linux-gnu/apps/keditbookmarks/keditbookmarks_dummy.cpp:3


Sometimes the backtrace differs slightly at the top frames:

#0  encodeText (str=@0x87ad5f0, s=@0xbfcef1f0, encodeQuotes=true, performAVN=true, encodeEOLs=false)
    at ../../include/QtCore/../../src/corelib/arch/qatomic_i386.h:120
#1  0xb7771485 in QDomElementPrivate::save (this=0x89e9660, s=@0xbfcef1f0, depth=5, indent=1) at dom/qdom.cpp:4606
#2  0xb7764892 in QDomNodePrivate::save (this=0x89e9518, s=@0xbfcef1f0, depth=5, indent=1) at dom/qdom.cpp:1916
#3  0xb7771077 in QDomElementPrivate::save (this=0x89e9518, s=@0xbfcef1f0, depth=4, indent=1) at dom/qdom.cpp:4640
#4  0xb7764892 in QDomNodePrivate::save (this=0x89ed910, s=@0xbfcef1f0, depth=4, indent=1) at dom/qdom.cpp:1916
#5  0xb7771077 in QDomElementPrivate::save (this=0x89ed910, s=@0xbfcef1f0, depth=3, indent=1) at dom/qdom.cpp:4640
#6  0xb7764892 in QDomNodePrivate::save (this=0x883c040, s=@0xbfcef1f0, depth=3, indent=1) at dom/qdom.cpp:1916
#7  0xb7771077 in QDomElementPrivate::save (this=0x883c040, s=@0xbfcef1f0, depth=2, indent=1) at dom/qdom.cpp:4640
#8  0xb7764892 in QDomNodePrivate::save (this=0x882e370, s=@0xbfcef1f0, depth=2, indent=1) at dom/qdom.cpp:1916
#9  0xb7771077 in QDomElementPrivate::save (this=0x882e370, s=@0xbfcef1f0, depth=1, indent=1) at dom/qdom.cpp:4640
#10 0xb7764892 in QDomNodePrivate::save (this=0x8809c80, s=@0xbfcef1f0, depth=1, indent=1) at dom/qdom.cpp:1916
#11 0xb7771077 in QDomElementPrivate::save (this=0x8809c80, s=@0xbfcef1f0, depth=0, indent=1) at dom/qdom.cpp:4640
#12 0xb7775ac6 in QDomDocumentPrivate::saveDocument (this=0x87a40b8, s=@0xbfcef1f0, indent=1, encUsed=QDomNode::EncodingFromDocument) at dom/qdom.cpp:6473
#13 0xb7776163 in QDomNode::save (this=0xbfcef2b0, str=@0xbfcef1f0, indent=1) at dom/qdom.cpp:2684
#14 0xb77761ce in QDomDocument::toString (this=0xbfcef2b0, indent=1) at dom/qdom.cpp:6845
#15 0xb7a5158c in KBookmarkManager::saveAs (this=0x87ba5c0, filename=@0x88032a0, toolbarCache=true)
...
Comment 7 asmerm 2009-04-07 21:07:16 UTC
It is happening on my box too. KDE 4.2.2 OpenSUSE 11.1 x64.
Comment 8 Skander Morgenthaler 2009-04-21 18:24:06 UTC
Now that I have a new computer and thus a new installation, I am finally able to produce usable tracebacks again. System is still gentoo (~amd64), currently using qt 4.5, kde 4.2.2, gcc 4.3.3. This traceback was a general drag'n'drop caused crash, not (as originally reported) one to the last position in a folder. Currently it is impossible to reorganize my bookmarks using the bookmark editor as attempts to drag bookmarks to a different place almost always result in a crash.

Application: Bookmark Editor (keditbookmarks), signal SIGSEGV
0x00007f8a2f77f8a0 in __nanosleep_nocancel () from /lib/libc.so.6
Current language:  auto; currently c

Thread 1 (Thread 0x7f8a33cd0750 (LWP 17357)):
[KCrash Handler]
#5  QDomNode (this=0x7fff3bd07120, n=@0x18) at dom/qdom.cpp:2035
#6  0x00007f8a338dd4cd in TreeItem::bookmark (this=<value optimized out>) at /usr/include/kbookmark.h:34
#7  0x00007f8a338db1dc in KBookmarkModel::dropMimeData (this=0x1d83e20, data=0x1eb4080, action=Qt::CopyAction, row=<value optimized out>, column=-1, parent=@0x7fff3bd07180)
    at /var/tmp/portage/kde-base/keditbookmarks-4.2.2/work/keditbookmarks-4.2.2/keditbookmarks/bookmarkmodel.cpp:342
#8  0x00007f8a338dcff3 in BookmarkFolderViewFilterModel::dropMimeData (this=0x1dc06e0, data=0x1eb4080, action=Qt::CopyAction, row=1, column=0, parent=@0x7fff3bd07260)
    at /var/tmp/portage/kde-base/keditbookmarks-4.2.2/work/keditbookmarks-4.2.2/keditbookmarks/bookmarklistview.cpp:184
#9  0x00007f8a3082513f in QAbstractItemView::dropEvent (this=0x1cff320, event=0x7fff3bd07e40) at itemviews/qabstractitemview.cpp:1844
#10 0x00007f8a303ca039 in QWidget::event (this=0x1cff320, event=0x7fff3bd07e40) at kernel/qwidget.cpp:7698
#11 0x00007f8a307187bc in QFrame::event (this=0x1cff320, e=0x7fff3bd07e40) at widgets/qframe.cpp:559
#12 0x00007f8a3082ec6d in QAbstractItemView::viewportEvent (this=0x1cff320, event=0x7fff3bd07e40) at itemviews/qabstractitemview.cpp:1466
#13 0x00007f8a30862405 in QTreeView::viewportEvent (this=0x1cff320, event=0x7fff3bd07e40) at itemviews/qtreeview.cpp:1257
#14 0x00007f8a3103d6e7 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=<value optimized out>, receiver=0x1da4380, event=0x7fff3bd07e40) at kernel/qcoreapplication.cpp:718
#15 0x00007f8a3037d1fc in QApplicationPrivate::notify_helper (this=0x1bdc140, receiver=0x1da4380, e=0x7fff3bd07e40) at kernel/qapplication.cpp:4080
#16 0x00007f8a30384dfe in QApplication::notify (this=<value optimized out>, receiver=0x1da4380, e=0x7fff3bd07e40) at kernel/qapplication.cpp:4037
#17 0x00007f8a31e4a5ca in KApplication::notify (this=0x7fff3bd0b620, receiver=0x1da4380, event=0x7fff3bd07e40)
    at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/kdeui/kernel/kapplication.cpp:307
#18 0x00007f8a3103e38b in QCoreApplication::notifyInternal (this=0x7fff3bd0b620, receiver=0x1da4380, event=0x7fff3bd07e40) at kernel/qcoreapplication.cpp:598
#19 0x00007f8a303edde1 in QX11Data::xdndHandleDrop (this=<value optimized out>, xe=<value optimized out>, passive=<value optimized out>)
    at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:213
#20 0x00007f8a303ef3f7 in QDragManager::drop (this=0x1e0e3c0) at kernel/qdnd_x11.cpp:1692
#21 0x00007f8a303ef59c in QDragManager::eventFilter (this=0x1e0e3c0, o=<value optimized out>, e=<value optimized out>) at kernel/qdnd_x11.cpp:1292
#22 0x00007f8a3103d7bb in QCoreApplicationPrivate::sendThroughApplicationEventFilters (this=0x1bdc140, receiver=0x1dfb850, event=0x7fff3bd087e0) at kernel/qcoreapplication.cpp:699
#23 0x00007f8a3037d198 in QApplicationPrivate::notify_helper (this=0x7fff3bd07120, receiver=0x18, e=0x1) at kernel/qapplication.cpp:4059
#24 0x00007f8a30385023 in QApplication::notify (this=<value optimized out>, receiver=0x1dfb850, e=0x7fff3bd087e0) at kernel/qapplication.cpp:3786
#25 0x00007f8a31e4a5ca in KApplication::notify (this=0x7fff3bd0b620, receiver=0x1dfb850, event=0x7fff3bd087e0)
    at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/kdeui/kernel/kapplication.cpp:307
#26 0x00007f8a3103e38b in QCoreApplication::notifyInternal (this=0x7fff3bd0b620, receiver=0x1dfb850, event=0x7fff3bd087e0) at kernel/qcoreapplication.cpp:598
#27 0x00007f8a30386511 in QApplicationPrivate::sendMouseEvent (receiver=0x1dfb850, event=0x7fff3bd087e0, alienWidget=0x0, nativeWidget=0x1dfb850, buttonDown=<value optimized out>, 
    lastMouseReceiver=@0x7f8a30ceef90) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:216
#28 0x00007f8a303dfd6c in QETWidget::translateMouseEvent (this=0x1dfb850, event=<value optimized out>) at kernel/qapplication_x11.cpp:4425
#29 0x00007f8a303dec1d in QApplication::x11ProcessEvent (this=0x7fff3bd0b620, event=0x7fff3bd09170) at kernel/qapplication_x11.cpp:3543
#30 0x00007f8a3040306c in x11EventSourceDispatch (s=0x1bdf610, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#31 0x00007f8a2c87068a in IA__g_main_context_dispatch (context=0x1bde840) at gmain.c:2144
#32 0x00007f8a2c873c6d in g_main_context_iterate (context=0x1bde840, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2778
#33 0x00007f8a2c873e1d in IA__g_main_context_iteration (context=0x1bde840, may_block=1) at gmain.c:2841
#34 0x00007f8a31063a2f in QEventDispatcherGlib::processEvents (this=0x1bdc300, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:323
#35 0x00007f8a30402908 in QGuiEventDispatcherGlib::processEvents (this=0x7fff3bd07120, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:202
#36 0x00007f8a3103cd12 in QEventLoop::processEvents (this=<value optimized out>, flags={i = 1003525216}) at kernel/qeventloop.cpp:149
#37 0x00007f8a3103ceb5 in QEventLoop::exec (this=0x1eca050, flags={i = 1003525552}) at kernel/qeventloop.cpp:196
#38 0x00007f8a303eca93 in QDragManager::drag (this=0x1e0e3c0, o=<value optimized out>) at kernel/qdnd_x11.cpp:1952
#39 0x00007f8a3038d996 in QDrag::exec (this=0x1e13e30, supportedActions={i = 1003525808}, defaultDropAction=Qt::CopyAction) at kernel/qdrag.cpp:282
#40 0x00007f8a308298e9 in QAbstractItemView::startDrag (this=0x1d83c60, supportedActions={i = 1003526256}) at itemviews/qabstractitemview.cpp:3189
#41 0x00007f8a3082d4be in QAbstractItemView::mouseMoveEvent (this=0x1d83c60, event=0x7fff3bd0a710) at itemviews/qabstractitemview.cpp:1547
#42 0x00007f8a303ca38a in QWidget::event (this=0x1d83c60, event=0x7fff3bd0a710) at kernel/qwidget.cpp:7501
#43 0x00007f8a307187bc in QFrame::event (this=0x1d83c60, e=0x7fff3bd0a710) at widgets/qframe.cpp:559
#44 0x00007f8a3082ec6d in QAbstractItemView::viewportEvent (this=0x1d83c60, event=0x7fff3bd0a710) at itemviews/qabstractitemview.cpp:1466
#45 0x00007f8a30862405 in QTreeView::viewportEvent (this=0x1d83c60, event=0x7fff3bd0a710) at itemviews/qtreeview.cpp:1257
#46 0x00007f8a3103d6e7 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=<value optimized out>, receiver=0x1d8a420, event=0x7fff3bd0a710) at kernel/qcoreapplication.cpp:718
#47 0x00007f8a3037d1fc in QApplicationPrivate::notify_helper (this=0x1bdc140, receiver=0x1d8a420, e=0x7fff3bd0a710) at kernel/qapplication.cpp:4080
#48 0x00007f8a30385023 in QApplication::notify (this=<value optimized out>, receiver=0x1d8a420, e=0x7fff3bd0a710) at kernel/qapplication.cpp:3786
#49 0x00007f8a31e4a5ca in KApplication::notify (this=0x7fff3bd0b620, receiver=0x1d8a420, event=0x7fff3bd0a710)
    at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/kdeui/kernel/kapplication.cpp:307
#50 0x00007f8a3103e38b in QCoreApplication::notifyInternal (this=0x7fff3bd0b620, receiver=0x1d8a420, event=0x7fff3bd0a710) at kernel/qcoreapplication.cpp:598
#51 0x00007f8a30386511 in QApplicationPrivate::sendMouseEvent (receiver=0x1d8a420, event=0x7fff3bd0a710, alienWidget=0x1d8a420, nativeWidget=0x1cf7380, buttonDown=<value optimized out>, 
    lastMouseReceiver=@0x7f8a30ceef90) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:216
#52 0x00007f8a303dfd6c in QETWidget::translateMouseEvent (this=0x1cf7380, event=<value optimized out>) at kernel/qapplication_x11.cpp:4425
#53 0x00007f8a303dec1d in QApplication::x11ProcessEvent (this=0x7fff3bd0b620, event=0x7fff3bd0b0a0) at kernel/qapplication_x11.cpp:3543
#54 0x00007f8a3040306c in x11EventSourceDispatch (s=0x1bdf610, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#55 0x00007f8a2c87068a in IA__g_main_context_dispatch (context=0x1bde840) at gmain.c:2144
#56 0x00007f8a2c873c6d in g_main_context_iterate (context=0x1bde840, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2778
#57 0x00007f8a2c873e1d in IA__g_main_context_iteration (context=0x1bde840, may_block=1) at gmain.c:2841
#58 0x00007f8a31063a2f in QEventDispatcherGlib::processEvents (this=0x1bdc300, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:323
#59 0x00007f8a30402908 in QGuiEventDispatcherGlib::processEvents (this=0x7fff3bd07120, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:202
#60 0x00007f8a3103cd12 in QEventLoop::processEvents (this=<value optimized out>, flags={i = 1003533200}) at kernel/qeventloop.cpp:149
#61 0x00007f8a3103ceb5 in QEventLoop::exec (this=0x7fff3bd0b3d0, flags={i = 1003533280}) at kernel/qeventloop.cpp:196
#62 0x00007f8a3103ef1c in QCoreApplication::exec () at kernel/qcoreapplication.cpp:880
#63 0x00007f8a338ba255 in kdemain (argc=6, argv=0x7fff3bd0c1a8) at /var/tmp/portage/kde-base/keditbookmarks-4.2.2/work/keditbookmarks-4.2.2/keditbookmarks/main.cpp:203
#64 0x00007f8a2f6fe5c6 in __libc_start_main (main=0x4009a0 <main>, argc=6, ubp_av=0x7fff3bd0c1a8, init=0x4009e0 <__libc_csu_init>, fini=<value optimized out>, rtld_fini=<value optimized out>, 
    stack_end=0x7fff3bd0c198) at libc-start.c:226
#65 0x00000000004008a9 in _start ()
Comment 9 Skander Morgenthaler 2009-04-21 18:26:55 UTC
*** This bug has been confirmed by popular vote. ***
Comment 10 Brian Armstrong 2009-05-26 16:19:47 UTC
The crash error of the bookmark editor occurs under Fedora 10 x86_64 (KDE-4.2.3-2) when attempting to either cut and paste a folder to another location, or copy and paste to another location.  Looks like it might be qt and glibc libraries regarding mouse movements along with drag and drop commands within frames using xml; which, makes me wonder if any other KDE applications using xml documents have this similar problem.
Note:  In case it was a x11 display problem, I have tried different video drivers available for my ATI radeon hd 3200 graphics card (radeon, radeonhd, fglx) and the error occurs under all drivers, including framebuffer and vga settings, low resolution to high resolution.

Here is my backtrace:
========================================================
Application: Bookmark Editor (keditbookmarks), signal SIGSEGV
0x0000003c97ea7f50 in __nanosleep_nocancel () from /lib64/libc.so.6
[Current thread is 1 (Thread 0x7f512ded9810 (LWP 28931))]

Thread 1 (Thread 0x7f512ded9810 (LWP 28931)):
[KCrash Handler]
#5  0x0000003c97e7abac in _int_malloc () from /lib64/libc.so.6
#6  0x0000003c97e7ca38 in malloc () from /lib64/libc.so.6
#7  0x0000003c9f2c41ed in operator new () from /usr/lib64/libstdc++.so.6
#8  0x0000003ff8217ef3 in ?? () from /usr/lib64/libQtXml.so.4
#9  0x0000003ff8212f9e in ?? () from /usr/lib64/libQtXml.so.4
#10 0x0000003ff8217c2c in ?? () from /usr/lib64/libQtXml.so.4
#11 0x0000003ff8217f05 in ?? () from /usr/lib64/libQtXml.so.4
#12 0x0000003ff8212f9e in ?? () from /usr/lib64/libQtXml.so.4
#13 0x0000003ff8217c2c in ?? () from /usr/lib64/libQtXml.so.4
#14 0x0000003ff8217f05 in ?? () from /usr/lib64/libQtXml.so.4
#15 0x0000003ff8212f9e in ?? () from /usr/lib64/libQtXml.so.4
#16 0x0000003ff8217c2c in ?? () from /usr/lib64/libQtXml.so.4
#17 0x0000003ff8217f05 in ?? () from /usr/lib64/libQtXml.so.4
#18 0x0000003ff8211105 in QDomNode::cloneNode () from /usr/lib64/libQtXml.so.4
#19 0x00000038d3c298a1 in ?? () from /usr/lib64/libkdeinit4_keditbookmarks.so
#20 0x00000038d3c28daa in ?? () from /usr/lib64/libkdeinit4_keditbookmarks.so
#21 0x00000038d3c3c26e in ?? () from /usr/lib64/libkdeinit4_keditbookmarks.so
#22 0x00000038d08a087d in QAbstractItemView::dropEvent () from /usr/lib64/libQtGui.so.4
#23 0x00000038d03df329 in QWidget::event () from /usr/lib64/libQtGui.so.4
#24 0x00000038d0777cbb in QFrame::event () from /usr/lib64/libQtGui.so.4
#25 0x00000038d08aca7d in QAbstractItemView::viewportEvent () from /usr/lib64/libQtGui.so.4
#26 0x00000038d08e36c0 in QTreeView::viewportEvent () from /usr/lib64/libQtGui.so.4
#27 0x0000003ff7d42918 in QCoreApplicationPrivate::sendThroughObjectEventFilters () from /usr/lib64/libQtCore.so.4
#28 0x00000038d038e70c in QApplicationPrivate::notify_helper () from /usr/lib64/libQtGui.so.4
#29 0x00000038d0396e70 in QApplication::notify () from /usr/lib64/libQtGui.so.4
#30 0x00000038d240717b in KApplication::notify () from /usr/lib64/libkdeui.so.5
#31 0x0000003ff7d4360c in QCoreApplication::notifyInternal () from /usr/lib64/libQtCore.so.4
#32 0x00000038d040c145 in ?? () from /usr/lib64/libQtGui.so.4
#33 0x00000038d04109d7 in QDragManager::drop () from /usr/lib64/libQtGui.so.4
#34 0x00000038d0410b6c in QDragManager::eventFilter () from /usr/lib64/libQtGui.so.4
#35 0x0000003ff7d429dc in QCoreApplicationPrivate::sendThroughApplicationEventFilters () from /usr/lib64/libQtCore.so.4
#36 0x00000038d038e6a6 in QApplicationPrivate::notify_helper () from /usr/lib64/libQtGui.so.4
#37 0x00000038d039708a in QApplication::notify () from /usr/lib64/libQtGui.so.4
#38 0x00000038d240717b in KApplication::notify () from /usr/lib64/libkdeui.so.5
#39 0x0000003ff7d4360c in QCoreApplication::notifyInternal () from /usr/lib64/libQtCore.so.4
#40 0x00000038d03962d8 in QApplicationPrivate::sendMouseEvent () from /usr/lib64/libQtGui.so.4
#41 0x00000038d03ffb89 in ?? () from /usr/lib64/libQtGui.so.4
#42 0x00000038d03fe7f8 in QApplication::x11ProcessEvent () from /usr/lib64/libQtGui.so.4
#43 0x00000038d0425bb4 in ?? () from /usr/lib64/libQtGui.so.4
#44 0x0000003ff50377bb in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#45 0x0000003ff503af8d in ?? () from /lib64/libglib-2.0.so.0
#46 0x0000003ff503b14b in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#47 0x0000003ff7d6cd1f in QEventDispatcherGlib::processEvents () from /usr/lib64/libQtCore.so.4
#48 0x00000038d042533f in ?? () from /usr/lib64/libQtGui.so.4
#49 0x0000003ff7d41eb2 in QEventLoop::processEvents () from /usr/lib64/libQtCore.so.4
#50 0x0000003ff7d4227d in QEventLoop::exec () from /usr/lib64/libQtCore.so.4
#51 0x00000038d040ed3b in QDragManager::drag () from /usr/lib64/libQtGui.so.4
#52 0x00000038d03a1158 in QDrag::exec () from /usr/lib64/libQtGui.so.4
#53 0x00000038d08aadae in QAbstractItemView::startDrag () from /usr/lib64/libQtGui.so.4
#54 0x00000038d08a8197 in QAbstractItemView::mouseMoveEvent () from /usr/lib64/libQtGui.so.4
#55 0x00000038d03df6e8 in QWidget::event () from /usr/lib64/libQtGui.so.4
#56 0x00000038d0777cbb in QFrame::event () from /usr/lib64/libQtGui.so.4
#57 0x00000038d08aca7d in QAbstractItemView::viewportEvent () from /usr/lib64/libQtGui.so.4
#58 0x00000038d08e36c0 in QTreeView::viewportEvent () from /usr/lib64/libQtGui.so.4
#59 0x0000003ff7d42918 in QCoreApplicationPrivate::sendThroughObjectEventFilters () from /usr/lib64/libQtCore.so.4
#60 0x00000038d038e70c in QApplicationPrivate::notify_helper () from /usr/lib64/libQtGui.so.4
#61 0x00000038d039708a in QApplication::notify () from /usr/lib64/libQtGui.so.4
#62 0x00000038d240717b in KApplication::notify () from /usr/lib64/libkdeui.so.5
#63 0x0000003ff7d4360c in QCoreApplication::notifyInternal () from /usr/lib64/libQtCore.so.4
#64 0x00000038d03962d8 in QApplicationPrivate::sendMouseEvent () from /usr/lib64/libQtGui.so.4
#65 0x00000038d03ffb89 in ?? () from /usr/lib64/libQtGui.so.4
#66 0x00000038d03fe7f8 in QApplication::x11ProcessEvent () from /usr/lib64/libQtGui.so.4
#67 0x00000038d0425bb4 in ?? () from /usr/lib64/libQtGui.so.4
#68 0x0000003ff50377bb in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#69 0x0000003ff503af8d in ?? () from /lib64/libglib-2.0.so.0
#70 0x0000003ff503b14b in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#71 0x0000003ff7d6cd1f in QEventDispatcherGlib::processEvents () from /usr/lib64/libQtCore.so.4
#72 0x00000038d042533f in ?? () from /usr/lib64/libQtGui.so.4
#73 0x0000003ff7d41eb2 in QEventLoop::processEvents () from /usr/lib64/libQtCore.so.4
#74 0x0000003ff7d4227d in QEventLoop::exec () from /usr/lib64/libQtCore.so.4
#75 0x0000003ff7d44544 in QCoreApplication::exec () from /usr/lib64/libQtCore.so.4
#76 0x00000038d3c1d920 in kdemain () from /usr/lib64/libkdeinit4_keditbookmarks.so
#77 0x0000003c97e1e576 in __libc_start_main () from /lib64/libc.so.6
#78 0x00000000004006f9 in _start ()
Comment 11 Dario Andres 2009-06-23 03:23:32 UTC
*** Bug 197468 has been marked as a duplicate of this bug. ***
Comment 12 Gerry Gavigan 2009-06-23 21:47:14 UTC
still happens in 4.3.0 beta 2
Comment 13 Skander Morgenthaler 2009-07-05 03:00:17 UTC
The crashes seem to be fixed with 4.3RC1. I can still not drag something to the lowest position in a folder, so the workaround for the original problem seems to be active still.
Comment 14 Gerry Gavigan 2009-07-05 21:51:34 UTC
Application: Bookmark Editor (keditbookmarks), signal: Segmentation fault
[KCrash Handler]
#6  0xb7743af0 in ?? () from /usr/lib/libQtXml.so.4
#7  0xb7736f32 in ?? () from /usr/lib/libQtXml.so.4
#8  0xb7743717 in ?? () from /usr/lib/libQtXml.so.4
#9  0xb7736f32 in ?? () from /usr/lib/libQtXml.so.4
#10 0xb7743717 in ?? () from /usr/lib/libQtXml.so.4
#11 0xb7736f32 in ?? () from /usr/lib/libQtXml.so.4
#12 0xb7743717 in ?? () from /usr/lib/libQtXml.so.4
#13 0xb7736f32 in ?? () from /usr/lib/libQtXml.so.4
#14 0xb7743717 in ?? () from /usr/lib/libQtXml.so.4
#15 0xb7748166 in ?? () from /usr/lib/libQtXml.so.4
#16 0xb7748803 in QDomNode::save(QTextStream&, int) const () from /usr/lib/libQtXml.so.4
#17 0xb774886e in QDomDocument::toString(int) const () from /usr/lib/libQtXml.so.4
#18 0xb7a36f1c in KBookmarkManager::saveAs(QString const&, bool) const () from /usr/lib/libkio.so.5
#19 0xb7a3743f in KBookmarkManager::save(bool) const () from /usr/lib/libkio.so.5
#20 0xb7a37480 in KBookmarkManager::emitChanged(KBookmarkGroup const&) () from /usr/lib/libkio.so.5
#21 0xb7f9e04b in ?? () from /usr/lib/libkdeinit4_keditbookmarks.so
#22 0xb7fa1711 in ?? () from /usr/lib/libkdeinit4_keditbookmarks.so
#23 0xb7fc1130 in ?? () from /usr/lib/libkdeinit4_keditbookmarks.so
#24 0xb7fc32cf in ?? () from /usr/lib/libkdeinit4_keditbookmarks.so
#25 0xb6aa0e21 in QAbstractItemView::dropEvent(QDropEvent*) () from /usr/lib/libQtGui.so.4
#26 0xb65c8fb1 in QWidget::event(QEvent*) () from /usr/lib/libQtGui.so.4
#27 0xb695aaa3 in QFrame::event(QEvent*) () from /usr/lib/libQtGui.so.4
#28 0xb69fad5f in QAbstractScrollArea::viewportEvent(QEvent*) () from /usr/lib/libQtGui.so.4
#29 0xb6aad4f7 in QAbstractItemView::viewportEvent(QEvent*) () from /usr/lib/libQtGui.so.4
#30 0xb6ae8136 in QTreeView::viewportEvent(QEvent*) () from /usr/lib/libQtGui.so.4
#31 0xb69fd365 in ?? () from /usr/lib/libQtGui.so.4
#32 0xb6f3b37a in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#33 0xb65727da in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#34 0xb657b101 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#35 0xb752310d in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#36 0xb6f3c16b in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#37 0xb65f7eed in ?? () from /usr/lib/libQtGui.so.4
#38 0xb65fcbb3 in QDragManager::drop() () from /usr/lib/libQtGui.so.4
#39 0xb65fcd76 in QDragManager::eventFilter(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#40 0xb6f3b43c in QCoreApplicationPrivate::sendThroughApplicationEventFilters(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#41 0xb6572773 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#42 0xb657b461 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#43 0xb752310d in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#44 0xb6f3c16b in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#45 0xb657a4ce in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&) () from /usr/lib/libQtGui.so.4
#46 0xb65ea6e6 in ?? () from /usr/lib/libQtGui.so.4
#47 0xb65e9ab5 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/libQtGui.so.4
#48 0xb66135ca in ?? () from /usr/lib/libQtGui.so.4
#49 0xb5d9c9c8 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#50 0xb5da0083 in ?? () from /usr/lib/libglib-2.0.so.0
#51 0xb5da0241 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#52 0xb6f678d8 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#53 0xb6612cc5 in ?? () from /usr/lib/libQtGui.so.4
#54 0xb6f3a78a in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#55 0xb6f3abd2 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#56 0xb65fc57b in QDragManager::drag(QDrag*) () from /usr/lib/libQtGui.so.4
#57 0xb6585e8a in QDrag::exec(QFlags<Qt::DropAction>, Qt::DropAction) () from /usr/lib/libQtGui.so.4
#58 0xb6aaba4c in QAbstractItemView::startDrag(QFlags<Qt::DropAction>) () from /usr/lib/libQtGui.so.4
#59 0xb6aa897d in QAbstractItemView::mouseMoveEvent(QMouseEvent*) () from /usr/lib/libQtGui.so.4
#60 0xb6ae7f34 in QTreeView::mouseMoveEvent(QMouseEvent*) () from /usr/lib/libQtGui.so.4
#61 0xb65c923d in QWidget::event(QEvent*) () from /usr/lib/libQtGui.so.4
#62 0xb695aaa3 in QFrame::event(QEvent*) () from /usr/lib/libQtGui.so.4
#63 0xb69fad5f in QAbstractScrollArea::viewportEvent(QEvent*) () from /usr/lib/libQtGui.so.4
#64 0xb6aad4f7 in QAbstractItemView::viewportEvent(QEvent*) () from /usr/lib/libQtGui.so.4
#65 0xb6ae8136 in QTreeView::viewportEvent(QEvent*) () from /usr/lib/libQtGui.so.4
#66 0xb69fd365 in ?? () from /usr/lib/libQtGui.so.4
#67 0xb6f3b37a in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#68 0xb65727da in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#69 0xb657b461 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#70 0xb752310d in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#71 0xb6f3c16b in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#72 0xb657a4ce in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&) () from /usr/lib/libQtGui.so.4
#73 0xb65ea6e6 in ?? () from /usr/lib/libQtGui.so.4
#74 0xb65e9ab5 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/libQtGui.so.4
#75 0xb66135ca in ?? () from /usr/lib/libQtGui.so.4
#76 0xb5d9c9c8 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#77 0xb5da0083 in ?? () from /usr/lib/libglib-2.0.so.0
#78 0xb5da0241 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#79 0xb6f678d8 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#80 0xb6612cc5 in ?? () from /usr/lib/libQtGui.so.4
#81 0xb6f3a78a in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#82 0xb6f3abd2 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#83 0xb6f3d079 in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
#84 0xb6572677 in QApplication::exec() () from /usr/lib/libQtGui.so.4
#85 0xb7f9d179 in kdemain () from /usr/lib/libkdeinit4_keditbookmarks.so
#86 0x08048712 in _start ()


Still happening here. Which debug packages should I install to provide a better bqcktrace, please?
Comment 15 Tommi Tervo 2009-07-31 08:30:59 UTC
*** Bug 190625 has been marked as a duplicate of this bug. ***
Comment 16 Skander Morgenthaler 2009-08-03 11:50:53 UTC
(In reply to comment #13)
> The crashes seem to be fixed with 4.3RC1.

I do not why I could not reproduce this with 4.3RC1, but the but is still alive and kicking in 4.3RC3.
Comment 17 Alvin 2009-08-05 15:18:21 UTC
I can not reproduce this in KDE 4.3. Dragging below the last item is no longer possible. When dragging an item below the last, there are 2 possible outcomes:
- The item is placed as second last
- KEditBookmarks crashes (does that a lot, also when dragging to another position)

(It looks to me like the bookmark editor is the most unstable part of the KDE 4 series.)
Comment 18 Axel Roebel 2009-08-22 20:14:46 UTC
*** Bug 204795 has been marked as a duplicate of this bug. ***
Comment 19 Axel Roebel 2009-08-22 20:21:31 UTC
While 204795 had a similar backtrace and is therefore considered a duplicate
it seems that there is an interesting difference. On my system I do not have problems dragging individual bookmarks, but it nearly always crashes
when I drag and drop bookmark folders. Whatever this may be worth. 

I agree with an comment above. editing bookmarks is impossible in kde 4.3 
8-(
Comment 20 FiNeX 2009-08-26 23:10:23 UTC
*** Bug 205240 has been marked as a duplicate of this bug. ***
Comment 21 FiNeX 2009-08-27 15:19:42 UTC
*** Bug 205337 has been marked as a duplicate of this bug. ***
Comment 22 Ingomar Wesp 2009-08-27 18:40:04 UTC
Unfortunately, this bug can lead to data-loss, too. When moving bookmarks using the cut and paste shortcuts (Ctrl+X, Ctrl+V), the crash mentioned above causes the affected bookmarks to be permanently lost. This does not happen when KBookmarkEdit crashes while Ctrl-dragging the bookmarks.

I'm in no position to complain, but for me personally this is definitely the single most annoying bug in KDE4; it almost drives me away from using Konqueror as a web browser.
Comment 23 Simon St James 2009-08-28 16:14:38 UTC
*** Bug 201332 has been marked as a duplicate of this bug. ***
Comment 24 Simon St James 2009-08-28 16:42:35 UTC
Wolfgang provided a valgrind output for the crash seen in comment #6, and it looks to me like the situation is this:

1) In KBookmark::List::fromMimeData(...) (KBookmark.cc, line 680) a QDomDocument (doc) is added to the stack and populated.

2) We clone the doc's root's children, and create a list of KBookmarks where each one's internalElement() is equal to one of these clones.

3) doc goes out of scope, and its QDomDocumentPrivate is deleted as apparently nothing else holds a reference to it.

4) The list of KBookmarks we created is returned to the caller (commands.cpp, line 551).

5) We iterate over these KBookmarks, create and execute commands from them.  In executing one of the commands, we execute QDomNode::insertAfter(...).

6) This contains the following code:

// "mark lists as dirty"
QDomDocumentPrivate *const doc = ownerDocument();
    if(doc)
        doc->nodeListTime++;

"doc" here turns out to have been the QDomDocumentPrivate that was deleted in step 3)!

I have no idea whether this is a bug in Qt or not: my instincts are that QDomElements should hold references to the QDomDocumentPrivate belonging to their ownerDocuments() so that the QDomDocumentPrivate does not get deleted until there are no QDomElements whose ownerDocument()'s implementation is QDomDocumentPrivate remaining, but I don't know :)
Comment 25 Simon St James 2009-08-28 17:53:57 UTC
Ok - it seems that QDomElements that are *not* clones get notified when their containing QDomDocument is destroyed, but ones that are clones *don't*, which sounds very inconsistent.  E.g.

// No clones.
QDomElement elementThatOutLivesDoc;
{
    QDomDocument localDoc;
    localDoc.setContent( ... put some valid content here ...);
    elementThatOutLivesDoc = localDoc.documentElement();
    // localDoc is destroyed here.
}
// Prints true - elementThatOutLivesDoc was notified when localDoc was destroyed
kDebug() << "elementThatOutLivesDoc.ownerDocument().isNull()" << elementThatOutLivesDoc.ownerDocument().isNull(); 

vs

// With clone.
QDomElement elementThatOutLivesDoc;
{
    QDomDocument localDoc;
    localDoc.setContent( ... put some valid content here ...);
    // Clone.
    elementThatOutLivesDoc = localDoc.documentElement().clone(true).toElement();
    // localDoc is destroyed here.
}
// *** Accesses Uinitialised Memory (probably crash, or unpredictable behavour) -  ***
// elementThatOutLivesDoc apparently was *not* notified that localDoc was destroyed! 
kDebug() << "elementThatOutLivesDoc.ownerDocument().isNull()" << elementThatOutLivesDoc.ownerDocument().isNull();

Replacing 

bookmarks.append( KBookmark( children.item(childno).clone(true).toElement()));

with

bookmarks.append( KBookmark( children.item(childno).toElement()));

appears to work - no crashes, and valgrind doesn't complain.  If an interested party could test this out (I don't use bookmarks very frequently, and hate regression testing :p) and report back, that would be great :)
Comment 26 Ben Boeckel 2009-08-28 19:46:29 UTC
Is there a patch floating around? Commit number?
Comment 27 Simon St James 2009-08-28 20:40:21 UTC
@Ben:

You can try replacing 

bookmarks.append( KBookmark( children.item(childno).clone(true).toElement()));

with

bookmarks.append( KBookmark( children.item(childno).toElement()));

in KBookmark::List::fromMimeData(...), kbookmark.cc if you want.  I wasn't planning to commit anything, yet, at least until someone has tried this and tested it thoroughly.  The situation is complicated by the fact that you can make a good case that it is a bug in Qt.
Comment 28 Ben Boeckel 2009-08-28 23:57:44 UTC
Created attachment 36548 [details]
Patch to fix the crash
Comment 29 Ben Boeckel 2009-08-28 23:59:50 UTC
I no longer get crashes here with the change. Do you want me to commit it? Put it through review board? If you want to commit it go ahead, until then I'll use the patch I made (attached). If you commit it, please also apply to the 4.3 branch.
Comment 30 Simon St James 2009-08-29 10:13:42 UTC
SVN commit 1016872 by sstjames:

Only non-cloneNode()'d QDomElements are notified when their containing QDomDocument is destroyed, so taking cloneNode()'d elements that will outlive their QDomDocument leads to dangling pointers! Don't do this :)

This appears to fix at least one of the crashes in 160679 but I'm sure unrelated ones remain.

CCBUG:160679

 M  +1 -1      kbookmark.cc  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1016872
Comment 31 Simon St James 2009-08-29 10:14:49 UTC
@Ben:

I would prefer to wait until at least one other person has confirmed that the patch has no side-effects before back-porting to 4.3.
Comment 32 FiNeX 2009-08-29 11:04:46 UTC
I've applied the patch but it still crashes.

The exact operation I do is to drag and drop (with SHIFT) a bookmark from the right side to the left side exactly below the last item of a tree level.



This is my backtrace (which is like the first one reported here).




Application: Bookmark Editor (keditbookmarks), signal: Segmentation fault
[KCrash Handler]
#5  0x00007f4f30e062b0 in QDomNode::QDomNode () from /usr/lib/libQtXml.so.4
#6  0x00007f4f324dc1ad in TreeItem::bookmark (this=<value optimized out>) at /home/test/KDE4/kde/include/kbookmark.h:34
#7  0x00007f4f324d9ad7 in KBookmarkModel::dropMimeData (this=<value optimized out>, data=0x240d9f0, action=Qt::MoveAction, row=-1, column=-1, parent=@0x7fff33962f40)
    at /home/test/KDE4/src/kdebase/apps/keditbookmarks/bookmarkmodel.cpp:342
#8  0x00007f4f324db8ca in BookmarkFolderViewFilterModel::dropMimeData (this=<value optimized out>, data=0x240d9f0, action=Qt::MoveAction, row=4, column=0, parent=<value optimized out>)
    at /home/test/KDE4/src/kdebase/apps/keditbookmarks/bookmarklistview.cpp:184
#9  0x00007f4f2f2e51ed in QAbstractItemView::dropEvent () from /usr/lib/libQtGui.so.4
#10 0x00007f4f2ee65ad7 in QWidget::event () from /usr/lib/libQtGui.so.4
#11 0x00007f4f2f1bf2a6 in QFrame::event () from /usr/lib/libQtGui.so.4
#12 0x00007f4f2f2f20bb in QAbstractItemView::viewportEvent () from /usr/lib/libQtGui.so.4
#13 0x00007f4f2f329230 in QTreeView::viewportEvent () from /usr/lib/libQtGui.so.4
#14 0x00007f4f2fb86007 in QCoreApplicationPrivate::sendThroughObjectEventFilters () from /usr/lib/libQtCore.so.4
#15 0x00007f4f2ee1766c in QApplicationPrivate::notify_helper () from /usr/lib/libQtGui.so.4
#16 0x00007f4f2ee1ee6d in QApplication::notify () from /usr/lib/libQtGui.so.4
#17 0x00007f4f309f6756 in KApplication::notify (this=0x7fff339690b0, receiver=0x234dca0, event=0x7fff33963b60) at /home/test/KDE4/src/kdelibs/kdeui/kernel/kapplication.cpp:302
#18 0x00007f4f2fb86cec in QCoreApplication::notifyInternal () from /usr/lib/libQtCore.so.4
#19 0x00007f4f2ee91660 in ?? () from /usr/lib/libQtGui.so.4
#20 0x00007f4f2ee95f56 in QDragManager::drop () from /usr/lib/libQtGui.so.4
#21 0x00007f4f2ee96110 in QDragManager::eventFilter () from /usr/lib/libQtGui.so.4
#22 0x00007f4f2fb860cb in QCoreApplicationPrivate::sendThroughApplicationEventFilters () from /usr/lib/libQtCore.so.4
#23 0x00007f4f2ee17616 in QApplicationPrivate::notify_helper () from /usr/lib/libQtGui.so.4
#24 0x00007f4f2ee1e7b1 in QApplication::notify () from /usr/lib/libQtGui.so.4
#25 0x00007f4f309f6756 in KApplication::notify (this=0x7fff339690b0, receiver=0x241f090, event=0x7fff339643f0) at /home/test/KDE4/src/kdelibs/kdeui/kernel/kapplication.cpp:302
#26 0x00007f4f2fb86cec in QCoreApplication::notifyInternal () from /usr/lib/libQtCore.so.4
#27 0x00007f4f2ee1e080 in QApplicationPrivate::sendMouseEvent () from /usr/lib/libQtGui.so.4
#28 0x00007f4f2ee83fb4 in ?? () from /usr/lib/libQtGui.so.4
#29 0x00007f4f2ee82c8a in QApplication::x11ProcessEvent () from /usr/lib/libQtGui.so.4
#30 0x00007f4f2eeaae6c in ?? () from /usr/lib/libQtGui.so.4
#31 0x00007f4f2af38dbe in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#32 0x00007f4f2af3c568 in g_main_context_iterate () from /usr/lib/libglib-2.0.so.0
#33 0x00007f4f2af3c690 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#34 0x00007f4f2fbaf1b6 in QEventDispatcherGlib::processEvents () from /usr/lib/libQtCore.so.4
#35 0x00007f4f2eeaa64e in ?? () from /usr/lib/libQtGui.so.4
#36 0x00007f4f2fb855f2 in QEventLoop::processEvents () from /usr/lib/libQtCore.so.4
#37 0x00007f4f2fb859c4 in QEventLoop::exec () from /usr/lib/libQtCore.so.4
#38 0x00007f4f2ee95a99 in QDragManager::drag () from /usr/lib/libQtGui.so.4
#39 0x00007f4f2ee29908 in QDrag::exec () from /usr/lib/libQtGui.so.4
#40 0x00007f4f2f2f001c in QAbstractItemView::startDrag () from /usr/lib/libQtGui.so.4
#41 0x00007f4f2f2ecad6 in QAbstractItemView::mouseMoveEvent () from /usr/lib/libQtGui.so.4
#42 0x00007f4f2ee65ee2 in QWidget::event () from /usr/lib/libQtGui.so.4
#43 0x00007f4f2f1bf2a6 in QFrame::event () from /usr/lib/libQtGui.so.4
#44 0x00007f4f2f2f20bb in QAbstractItemView::viewportEvent () from /usr/lib/libQtGui.so.4
#45 0x00007f4f2f329230 in QTreeView::viewportEvent () from /usr/lib/libQtGui.so.4
#46 0x00007f4f2fb86007 in QCoreApplicationPrivate::sendThroughObjectEventFilters () from /usr/lib/libQtCore.so.4
#47 0x00007f4f2ee1766c in QApplicationPrivate::notify_helper () from /usr/lib/libQtGui.so.4
#48 0x00007f4f2ee1e7b1 in QApplication::notify () from /usr/lib/libQtGui.so.4
#49 0x00007f4f309f6756 in KApplication::notify (this=0x7fff339690b0, receiver=0x1fcd860, event=0x7fff33967200) at /home/test/KDE4/src/kdelibs/kdeui/kernel/kapplication.cpp:302
#50 0x00007f4f2fb86cec in QCoreApplication::notifyInternal () from /usr/lib/libQtCore.so.4
#51 0x00007f4f2ee1e080 in QApplicationPrivate::sendMouseEvent () from /usr/lib/libQtGui.so.4
#52 0x00007f4f2ee83fb4 in ?? () from /usr/lib/libQtGui.so.4
#53 0x00007f4f2ee82c8a in QApplication::x11ProcessEvent () from /usr/lib/libQtGui.so.4
#54 0x00007f4f2eeaae6c in ?? () from /usr/lib/libQtGui.so.4
#55 0x00007f4f2af38dbe in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#56 0x00007f4f2af3c568 in g_main_context_iterate () from /usr/lib/libglib-2.0.so.0
#57 0x00007f4f2af3c690 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#58 0x00007f4f2fbaf1b6 in QEventDispatcherGlib::processEvents () from /usr/lib/libQtCore.so.4
#59 0x00007f4f2eeaa64e in ?? () from /usr/lib/libQtGui.so.4
#60 0x00007f4f2fb855f2 in QEventLoop::processEvents () from /usr/lib/libQtCore.so.4
#61 0x00007f4f2fb859c4 in QEventLoop::exec () from /usr/lib/libQtCore.so.4
#62 0x00007f4f2fb87b79 in QCoreApplication::exec () from /usr/lib/libQtCore.so.4
#63 0x00007f4f324bac85 in kdemain (argc=<value optimized out>, argv=<value optimized out>) at /home/test/KDE4/src/kdebase/apps/keditbookmarks/main.cpp:203
#64 0x00007f4f2e19c9ed in __libc_start_main () from /lib/libc.so.6
#65 0x0000000000400769 in _start ()
Comment 33 FiNeX 2009-08-29 11:07:26 UTC
Created attachment 36554 [details]
Example

This is the position I drop the bookmark (with or without SHIFT key pressed)
Comment 34 Simon St James 2009-08-29 11:22:26 UTC
@FiNeX:

Thanks, I can reproduce that.  It seems to be an entirely different issue; I'm looking into it now.

There's some scary comments in there like

//FIXME this only works for internal drag and drops
//FIXME Moving is *very* buggy

which suggest that this is not going to be an easy fix :/
Comment 35 Simon St James 2009-08-29 13:08:16 UTC
Created attachment 36557 [details]
Patch to fix the crash when we can't determine the parent in a dropMimeType

@FiNeX:

Please try the following patch against keditbookmarks.

I've CC'd Daniel as I'm definitely in over my head, here :)
Comment 36 Dario Andres 2009-08-29 13:50:17 UTC
*** Bug 205568 has been marked as a duplicate of this bug. ***
Comment 37 FiNeX 2009-08-29 14:19:12 UTC
@Simon: ok, with this patch it doesnt crash but anyway the copy action is not correct. 

example structure:


/
/folder/
/folder2/
|--------/subfolder1/
|        |----------/bookmark1
|
|--------/subfolder2/
|        |----------/bookmark2
|        |----------/bookmark3
|
|--------/subfolder1/
|        |----------/bookmark4
|
|--------/bookmark5
|--------/bookmark5
/bookmark6
/bookmark7

If I drag and drop "bookmark7" below "subfolder1" (on the three view, like the previous screenshot), now it doesn't crash, but the bookmark is copied before "folder".
Comment 38 Simon St James 2009-08-29 14:51:52 UTC
Ok, I'm afraid I'm going to have to leave all this to someone who knows the code better :(
Comment 39 james tappin 2009-09-08 22:47:22 UTC
Unfortunately it looks as if the problem is still present in 4.3.1 (Kubuntu PPA build). I also notice that sometimes the signal is 11 and sometimes 6.
Comment 40 Simon St James 2009-09-12 15:04:10 UTC
Created attachment 36894 [details]
Another attempt at fixing misbehaviour

Ok, may as well have another stab at this :) 

Here's a largely untested patch that should sort out a few issues, especially with inserting before/ after a bookmark (in both the left pane and the main bookmark tree).  It's against current trunk.  Let me know what you think!

Incidentally, the fact that drag and drop copies the bookmark if shift is not pressed and moves it if it is has been a source of irritation for me during testing: would anyone object if I reversed it so that move is the default and holding shift makes a copy?
Comment 41 Alvin 2009-09-12 15:33:44 UTC
I think this is a requested feature in some bug reports mentioning the bookmarks, so go ahead.
Comment 42 Kevin Kofler 2009-09-12 16:19:44 UTC
Please make the key to hold for copying Ctrl, not Shift. It's the standard combo for drag&drop copying where moving is the default.
Comment 43 Simon St James 2009-09-12 16:36:13 UTC
Here's the relevant bug for "should move instead of copy by default":

https://bugs.kde.org/show_bug.cgi?id=153172
Comment 44 David Faure 2009-10-01 13:16:46 UTC
SVN commit 1030000 by dfaure:

Add fromMimeData overload that takes a QDomDocument, otherwise we get elements with a dangling doc.
<thiago> a node/element only exists inside a document
CCBUG: 160679


 M  +8 -2      bookmarks/kbookmark.cc  
 M  +24 -11    bookmarks/kbookmark.h  
 M  +8 -2      tests/kbookmarktest.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1030000
Comment 45 David Faure 2009-10-01 13:24:13 UTC
SVN commit 1030003 by dfaure:

Ensure the document of the elements (during dnd or pasting) stays alive as long as the elements, otherwise we get crashes.
This commit needs an updated kdelibs. Fix will be in KDE-4.3.2.
BUG: 160679


 M  +4 -5      bookmarkmodel.cpp  
 M  +3 -2      commands.cpp  
 M  +4 -1      commands.h  
 M  +1 -1      kebsearchline.cpp  
 M  +2 -0      kebsearchline.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1030003
Comment 46 David Faure 2009-10-01 13:31:24 UTC
*** Bug 200168 has been marked as a duplicate of this bug. ***
Comment 47 David Faure 2009-10-01 13:31:39 UTC
*** Bug 190017 has been marked as a duplicate of this bug. ***
Comment 48 David Faure 2009-10-01 13:32:11 UTC
*** Bug 196852 has been marked as a duplicate of this bug. ***
Comment 49 David Faure 2009-10-01 13:33:05 UTC
*** Bug 204729 has been marked as a duplicate of this bug. ***
Comment 50 Michael Reiher 2009-10-01 13:50:57 UTC
Awesome! Thanks a lot for taking care of this longstanding issue, David!!
Comment 51 Simon St James 2009-10-02 09:02:29 UTC
SVN commit 1030302 by sstjames:

Check for invalid index in bookmarkForIndex(...) (prevents another crash). 
Prevent non-folder items being drop targets (courtesy of dfaure).
Deal better with inserting before/ after items in both folder and normal views.

CCBUG:160679

 M  +26 -8     bookmarklistview.cpp  
 M  +36 -12    bookmarkmodel.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1030302
Comment 52 Kevin Kofler 2009-10-02 17:13:05 UTC
1030302 needs to be backported to the 4.3 branch too.
Comment 53 Simon St James 2009-10-02 17:29:49 UTC
I'd be very grateful if someone with a recent checkout of 4.3 kdelibs and kdebase could backport the fixes for me.
Comment 54 Sebastian 2009-10-08 14:11:22 UTC
First of all: A very big thank you for working on this nasty bug!

I installed KDE 4.3.2 and Qt 4.5.3 today, but keditbookmarks still crashes when moving bookmarks around.

Is this fix really in KDE 4.3.2?
Should I post a backtrace?
Comment 55 Simon St James 2009-10-08 17:00:54 UTC
@Sebastian:

r1030302 fixes one of the crashes but isn't in KDE4.3.2.  A backtrace would be good, yes :)
Comment 56 Simon St James 2009-10-08 17:40:59 UTC
David backported r1030302 here:

http://websvn.kde.org/?revision=1032328&view=revision

which fixes the crash in https://bugs.kde.org/show_bug.cgi?id=160679#c32.

This fix will be in KDE4.3.3.
Comment 57 Sebastian 2009-10-08 18:28:41 UTC
Thanks for clearing this up!
Looks like it's the crash fixed by r1030302:

Application: Lesezeichen-Editor (keditbookmarks), signal: Segmentation fault
[KCrash Handler]
#6  0x4f4013b6 in QDomNode (this=<value optimized out>, n=<value optimized out>) at dom/qdom.cpp:2035
#7  0x4f402914 in QDomElement (this=) at dom/qdom.cpp:4726
#8  0x4217b2cc in KBookmark (this=) at /usr/include/kbookmark.h:34
#9  TreeItem::bookmark (this=) at ../../../apps/keditbookmarks/treeitem.cpp:88
#10 0x42178ac1 in KBookmarkModel::bookmarkForIndex (this=<value optimized out>, data=<value optimized out>, action=<value optimized out>, row=<value optimized out>, column=)
    at ../../../apps/keditbookmarks/bookmarkmodel.cpp:341
#11 KBookmarkModel::dropMimeData (this=<value optimized out>, data=<value optimized out>, action=<value optimized out>, row=<value optimized out>, column=)
    at ../../../apps/keditbookmarks/bookmarkmodel.cpp:298
#12 0x4217adc5 in BookmarkFolderViewFilterModel::dropMimeData (this=<value optimized out>, data=) at ../../../apps/keditbookmarks/bookmarklistview.cpp:184
#13 0x41cc8131 in QAbstractItemView::dropEvent (this=<value optimized out>, event=<value optimized out>) at itemviews/qabstractitemview.cpp:1849
#14 0x417df579 in QWidget::event (this=<value optimized out>, event=<value optimized out>) at kernel/qwidget.cpp:7736
#15 0x41b854e3 in QFrame::event (this=<value optimized out>, e=<value optimized out>) at widgets/qframe.cpp:559
#16 0x41c2353f in QAbstractScrollArea::viewportEvent (this=) at widgets/qabstractscrollarea.cpp:962
#17 0x41cd4827 in QAbstractItemView::viewportEvent (this=<value optimized out>, event=<value optimized out>) at itemviews/qabstractitemview.cpp:1476
#18 0x41d0f636 in QTreeView::viewportEvent (this=<value optimized out>, event=<value optimized out>) at itemviews/qtreeview.cpp:1266
#19 0x41c25b15 in QAbstractScrollAreaPrivate::viewportEvent (this=<value optimized out>, o=<value optimized out>, e=) at widgets/qabstractscrollarea_p.h:100
#20 QAbstractScrollAreaFilter::eventFilter (this=<value optimized out>, o=<value optimized out>, e=) at widgets/qabstractscrollarea_p.h:111
#21 0x4f271a7a in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=<value optimized out>, receiver=<value optimized out>, event=<value optimized out>) at kernel/qcoreapplication.cpp:726
#22 0x41789a0c in QApplicationPrivate::notify_helper (this=<value optimized out>, receiver=<value optimized out>, e=<value optimized out>) at kernel/qapplication.cpp:4061
#23 0x41792191 in QApplication::notify (this=<value optimized out>, receiver=<value optimized out>, e=<value optimized out>) at kernel/qapplication.cpp:4018
#24 0x4f9cf0dd in KApplication::notify (this=<value optimized out>, receiver=<value optimized out>, event=<value optimized out>) at ../../kdeui/kernel/kapplication.cpp:302
#25 0x4f27284b in QCoreApplication::notifyInternal (this=<value optimized out>, receiver=<value optimized out>, event=<value optimized out>) at kernel/qcoreapplication.cpp:610
#26 0x4180dbaf in QCoreApplication::sendEvent (this=) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:213
#27 QX11Data::xdndHandleDrop (this=) at kernel/qdnd_x11.cpp:1174
#28 0x41812568 in QDragManager::drop (this=<value optimized out>) at kernel/qdnd_x11.cpp:1710
#29 0x4181271e in QDragManager::eventFilter (this=<value optimized out>, o=<value optimized out>, e=<value optimized out>) at kernel/qdnd_x11.cpp:1303
#30 0x4f271b3c in QCoreApplicationPrivate::sendThroughApplicationEventFilters (this=<value optimized out>, receiver=<value optimized out>, event=<value optimized out>)
    at kernel/qcoreapplication.cpp:707
#31 0x417899b3 in QApplicationPrivate::notify_helper (this=<value optimized out>, receiver=<value optimized out>, e=<value optimized out>) at kernel/qapplication.cpp:4040
#32 0x417924f1 in QApplication::notify (this=<value optimized out>, receiver=<value optimized out>, e=<value optimized out>) at kernel/qapplication.cpp:3767
#33 0x4f9cf0dd in KApplication::notify (this=<value optimized out>, receiver=<value optimized out>, event=<value optimized out>) at ../../kdeui/kernel/kapplication.cpp:302
#34 0x4f27284b in QCoreApplication::notifyInternal (this=<value optimized out>, receiver=<value optimized out>, event=<value optimized out>) at kernel/qcoreapplication.cpp:610
#35 0x4179157e in QCoreApplication::sendSpontaneousEvent (receiver=<value optimized out>, event=<value optimized out>, alienWidget=<value optimized out>, nativeWidget=<value optimized out>, 
    buttonDown=<value optimized out>, lastMouseReceiver=<value optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:216
#36 QApplicationPrivate::sendMouseEvent (receiver=<value optimized out>, event=<value optimized out>, alienWidget=<value optimized out>, nativeWidget=<value optimized out>, 
    buttonDown=<value optimized out>, lastMouseReceiver=<value optimized out>) at kernel/qapplication.cpp:2924
#37 0x41800115 in QETWidget::translateMouseEvent (this=<value optimized out>, event=<value optimized out>) at kernel/qapplication_x11.cpp:4411
#38 0x417ff5e6 in QApplication::x11ProcessEvent (this=<value optimized out>, event=<value optimized out>) at kernel/qapplication_x11.cpp:3430
#39 0x41829b62 in x11EventSourceDispatch (s=<value optimized out>, callback=<value optimized out>, user_data=) at kernel/qguieventdispatcher_glib.cpp:146
#40 0x41450e98 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#41 0x41454623 in ?? () from /lib/libglib-2.0.so.0
#42 0x414547a8 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#43 0x4f29d6a1 in QEventDispatcherGlib::processEvents (this=<value optimized out>, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:407
#44 0x418292a5 in QGuiEventDispatcherGlib::processEvents (this=) at kernel/qguieventdispatcher_glib.cpp:202
#45 0x4f270e9a in QEventLoop::processEvents (this=<value optimized out>, flags=<value optimized out>) at kernel/qeventloop.cpp:149
#46 0x4f2712e2 in QEventLoop::exec (this=<value optimized out>, flags=<value optimized out>) at kernel/qeventloop.cpp:201
#47 0x41811f96 in QDragManager::drag (this=<value optimized out>, o=<value optimized out>) at kernel/qdnd_x11.cpp:1970
#48 0x4179ce3a in QDrag::exec (this=<value optimized out>, supportedActions=<value optimized out>, defaultDropAction=<value optimized out>) at kernel/qdrag.cpp:282
#49 0x41cd2d7c in QAbstractItemView::startDrag (this=<value optimized out>, supportedActions=<value optimized out>) at itemviews/qabstractitemview.cpp:3218
#50 0x41ccfd25 in QAbstractItemView::mouseMoveEvent (this=<value optimized out>, event=<value optimized out>) at itemviews/qabstractitemview.cpp:1552
#51 0x41d0f434 in QTreeView::mouseMoveEvent (this=<value optimized out>, event=<value optimized out>) at itemviews/qtreeview.cpp:1872
#52 0x417df805 in QWidget::event (this=<value optimized out>, event=<value optimized out>) at kernel/qwidget.cpp:7539
#53 0x41b854e3 in QFrame::event (this=<value optimized out>, e=<value optimized out>) at widgets/qframe.cpp:559
#54 0x41c2353f in QAbstractScrollArea::viewportEvent (this=) at widgets/qabstractscrollarea.cpp:962
#55 0x41cd4827 in QAbstractItemView::viewportEvent (this=<value optimized out>, event=<value optimized out>) at itemviews/qabstractitemview.cpp:1476
#56 0x41d0f636 in QTreeView::viewportEvent (this=<value optimized out>, event=<value optimized out>) at itemviews/qtreeview.cpp:1266
#57 0x41c25b15 in QAbstractScrollAreaPrivate::viewportEvent (this=<value optimized out>, o=<value optimized out>, e=) at widgets/qabstractscrollarea_p.h:100
#58 QAbstractScrollAreaFilter::eventFilter (this=<value optimized out>, o=<value optimized out>, e=) at widgets/qabstractscrollarea_p.h:111
#59 0x4f271a7a in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=<value optimized out>, receiver=<value optimized out>, event=<value optimized out>) at kernel/qcoreapplication.cpp:726
#60 0x41789a0c in QApplicationPrivate::notify_helper (this=<value optimized out>, receiver=<value optimized out>, e=<value optimized out>) at kernel/qapplication.cpp:4061
#61 0x417924f1 in QApplication::notify (this=<value optimized out>, receiver=<value optimized out>, e=<value optimized out>) at kernel/qapplication.cpp:3767
#62 0x4f9cf0dd in KApplication::notify (this=<value optimized out>, receiver=<value optimized out>, event=<value optimized out>) at ../../kdeui/kernel/kapplication.cpp:302
#63 0x4f27284b in QCoreApplication::notifyInternal (this=<value optimized out>, receiver=<value optimized out>, event=<value optimized out>) at kernel/qcoreapplication.cpp:610
#64 0x4179157e in QCoreApplication::sendSpontaneousEvent (receiver=<value optimized out>, event=<value optimized out>, alienWidget=<value optimized out>, nativeWidget=<value optimized out>, 
    buttonDown=<value optimized out>, lastMouseReceiver=<value optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:216
#65 QApplicationPrivate::sendMouseEvent (receiver=<value optimized out>, event=<value optimized out>, alienWidget=<value optimized out>, nativeWidget=<value optimized out>, 
    buttonDown=<value optimized out>, lastMouseReceiver=<value optimized out>) at kernel/qapplication.cpp:2924
#66 0x41800115 in QETWidget::translateMouseEvent (this=<value optimized out>, event=<value optimized out>) at kernel/qapplication_x11.cpp:4411
#67 0x417ff5e6 in QApplication::x11ProcessEvent (this=<value optimized out>, event=<value optimized out>) at kernel/qapplication_x11.cpp:3430
#68 0x41829b62 in x11EventSourceDispatch (s=<value optimized out>, callback=<value optimized out>, user_data=) at kernel/qguieventdispatcher_glib.cpp:146
#69 0x41450e98 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#70 0x41454623 in ?? () from /lib/libglib-2.0.so.0
#71 0x414547a8 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#72 0x4f29d6a1 in QEventDispatcherGlib::processEvents (this=<value optimized out>, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:407
#73 0x418292a5 in QGuiEventDispatcherGlib::processEvents (this=) at kernel/qguieventdispatcher_glib.cpp:202
#74 0x4f270e9a in QEventLoop::processEvents (this=<value optimized out>, flags=<value optimized out>) at kernel/qeventloop.cpp:149
#75 0x4f2712e2 in QEventLoop::exec (this=<value optimized out>, flags=<value optimized out>) at kernel/qeventloop.cpp:201
#76 0x4f273739 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:888
#77 0x417898b7 in QApplication::exec () at kernel/qapplication.cpp:3525
#78 0x42154bc9 in kdemain (argc=<value optimized out>, argv=<value optimized out>) at ../../../apps/keditbookmarks/main.cpp:203
#79 0x080485b2 in main (argc=-1, argv=0xffffffff) at keditbookmarks_dummy.cpp:3
Comment 58 Dario Andres 2009-11-12 13:59:29 UTC
*** Bug 214228 has been marked as a duplicate of this bug. ***
Comment 59 Dario Andres 2009-11-16 03:19:03 UTC
*** Bug 214742 has been marked as a duplicate of this bug. ***
Comment 60 Tommi Tervo 2009-11-16 21:40:48 UTC
*** Bug 214876 has been marked as a duplicate of this bug. ***
Comment 61 Alain BAECKEROOT 2009-11-16 21:54:36 UTC
btw, the wizard for bugreports creates duplicates bugs, even if i told him i
had found my bug in the list (or maybe the interface is too confusing for me)

i don't know the name of this wizard or if it is part of konqueror...
Comment 62 ranc0our 2009-11-28 16:37:32 UTC
*** Bug 216526 has been marked as a duplicate of this bug. ***
Comment 63 Christoph Feck 2010-01-07 17:45:59 UTC
*** Bug 221680 has been marked as a duplicate of this bug. ***
Comment 64 Dario Andres 2010-02-03 01:56:25 UTC
*** Bug 225323 has been marked as a duplicate of this bug. ***